<?php

namespace OctolizeShippingAustraliaPostVendor\GuzzleHttp\Promise;

final class Is
{
    /**
     * Returns true if a promise is pending.
     *
     * @return bool
     */
    public static function pending(\OctolizeShippingAustraliaPostVendor\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \OctolizeShippingAustraliaPostVendor\GuzzleHttp\Promise\PromiseInterface::PENDING;
    }
    /**
     * Returns true if a promise is fulfilled or rejected.
     *
     * @return bool
     */
    public static function settled(\OctolizeShippingAustraliaPostVendor\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() !== \OctolizeShippingAustraliaPostVendor\GuzzleHttp\Promise\PromiseInterface::PENDING;
    }
    /**
     * Returns true if a promise is fulfilled.
     *
     * @return bool
     */
    public static function fulfilled(\OctolizeShippingAustraliaPostVendor\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \OctolizeShippingAustraliaPostVendor\GuzzleHttp\Promise\PromiseInterface::FULFILLED;
    }
    /**
     * Returns true if a promise is rejected.
     *
     * @return bool
     */
    public static function rejected(\OctolizeShippingAustraliaPostVendor\GuzzleHttp\Promise\PromiseInterface $promise)
    {
        return $promise->getState() === \OctolizeShippingAustraliaPostVendor\GuzzleHttp\Promise\PromiseInterface::REJECTED;
    }
}
