<?php

declare (strict_types=1);
namespace OctolizeShippingAustraliaPostVendor\Http\Client\Common;

use OctolizeShippingAustraliaPostVendor\Http\Client\Exception;
use OctolizeShippingAustraliaPostVendor\Http\Client\Promise;
use Psr\Http\Message\RequestInterface;
use Psr\Http\Message\ResponseInterface;
/**
 * Emulates an HTTP Async Client in an HTTP Client.
 *
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 */
trait HttpAsyncClientEmulator
{
    /**
     * {@inheritdoc}
     *
     * @see HttpClient::sendRequest
     */
    public abstract function sendRequest(\Psr\Http\Message\RequestInterface $request) : \Psr\Http\Message\ResponseInterface;
    /**
     * {@inheritdoc}
     *
     * @see HttpAsyncClient::sendAsyncRequest
     */
    public function sendAsyncRequest(\Psr\Http\Message\RequestInterface $request)
    {
        try {
            return new \OctolizeShippingAustraliaPostVendor\Http\Client\Promise\HttpFulfilledPromise($this->sendRequest($request));
        } catch (\OctolizeShippingAustraliaPostVendor\Http\Client\Exception $e) {
            return new \OctolizeShippingAustraliaPostVendor\Http\Client\Promise\HttpRejectedPromise($e);
        }
    }
}
