<?php

declare (strict_types=1);
namespace OctolizeShippingAustraliaPostVendor\Http\Client\Common\Plugin;

use OctolizeShippingAustraliaPostVendor\Http\Message\Stream\BufferedStream;
use OctolizeShippingAustraliaPostVendor\Http\Promise\Promise;
use Psr\Http\Message\RequestInterface;
use Psr\Http\Message\ResponseInterface;
/**
 * Allow body used in response to be always seekable.
 *
 * @author Joel Wurtz <joel.wurtz@gmail.com>
 */
final class ResponseSeekableBodyPlugin extends \OctolizeShippingAustraliaPostVendor\Http\Client\Common\Plugin\SeekableBodyPlugin
{
    /**
     * {@inheritdoc}
     */
    public function handleRequest(\Psr\Http\Message\RequestInterface $request, callable $next, callable $first) : \OctolizeShippingAustraliaPostVendor\Http\Promise\Promise
    {
        return $next($request)->then(function (\Psr\Http\Message\ResponseInterface $response) {
            if ($response->getBody()->isSeekable()) {
                return $response;
            }
            return $response->withBody(new \OctolizeShippingAustraliaPostVendor\Http\Message\Stream\BufferedStream($response->getBody(), $this->useFileBuffer, $this->memoryBufferSize));
        });
    }
}
