<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Discovery;

use OctolizeShippingAustraliaPostVendor\Http\Discovery\Exception\DiscoveryFailedException;
use OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory;
/**
 * Finds a Message Factory.
 *
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 *
 * @deprecated This will be removed in 2.0. Consider using Psr17FactoryDiscovery.
 */
final class MessageFactoryDiscovery extends \OctolizeShippingAustraliaPostVendor\Http\Discovery\ClassDiscovery
{
    /**
     * Finds a Message Factory.
     *
     * @return MessageFactory
     *
     * @throws Exception\NotFoundException
     */
    public static function find()
    {
        try {
            $messageFactory = static::findOneByType(\OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory::class);
        } catch (\OctolizeShippingAustraliaPostVendor\Http\Discovery\Exception\DiscoveryFailedException $e) {
            throw new \OctolizeShippingAustraliaPostVendor\Http\Discovery\NotFoundException('No message factories found. To use Guzzle, Diactoros or Slim Framework factories install php-http/message and the chosen message implementation.', 0, $e);
        }
        return static::instantiateClass($messageFactory);
    }
}
