<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Discovery;

use OctolizeShippingAustraliaPostVendor\Http\Discovery\Exception\DiscoveryFailedException;
use OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface;
/**
 * Finds a PSR-18 HTTP Client.
 *
 * @author Tobias Nyholm <tobias.nyholm@gmail.com>
 */
final class Psr18ClientDiscovery extends \OctolizeShippingAustraliaPostVendor\Http\Discovery\ClassDiscovery
{
    /**
     * Finds a PSR-18 HTTP Client.
     *
     * @return ClientInterface
     *
     * @throws Exception\NotFoundException
     */
    public static function find()
    {
        try {
            $client = static::findOneByType(\OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface::class);
        } catch (\OctolizeShippingAustraliaPostVendor\Http\Discovery\Exception\DiscoveryFailedException $e) {
            throw new \OctolizeShippingAustraliaPostVendor\Http\Discovery\Exception\NotFoundException('No PSR-18 clients found. Make sure to install a package providing "psr/http-client-implementation". Example: "php-http/guzzle7-adapter".', 0, $e);
        }
        return static::instantiateClass($client);
    }
}
