<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Discovery\Strategy;

use OctolizeShippingAustraliaPostVendor\GuzzleHttp\Client as GuzzleHttp;
use OctolizeShippingAustraliaPostVendor\GuzzleHttp\Promise\Promise;
use OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\Request as GuzzleRequest;
use OctolizeShippingAustraliaPostVendor\Http\Adapter\Artax\Client as Artax;
use OctolizeShippingAustraliaPostVendor\Http\Adapter\Buzz\Client as Buzz;
use OctolizeShippingAustraliaPostVendor\Http\Adapter\Cake\Client as Cake;
use OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle5\Client as Guzzle5;
use OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle6\Client as Guzzle6;
use OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle7\Client as Guzzle7;
use OctolizeShippingAustraliaPostVendor\Http\Adapter\React\Client as React;
use OctolizeShippingAustraliaPostVendor\Http\Adapter\Zend\Client as Zend;
use OctolizeShippingAustraliaPostVendor\Http\Client\Curl\Client as Curl;
use OctolizeShippingAustraliaPostVendor\Http\Client\HttpAsyncClient;
use OctolizeShippingAustraliaPostVendor\Http\Client\HttpClient;
use OctolizeShippingAustraliaPostVendor\Http\Client\Socket\Client as Socket;
use OctolizeShippingAustraliaPostVendor\Http\Discovery\ClassDiscovery;
use OctolizeShippingAustraliaPostVendor\Http\Discovery\Exception\NotFoundException;
use OctolizeShippingAustraliaPostVendor\Http\Discovery\MessageFactoryDiscovery;
use OctolizeShippingAustraliaPostVendor\Http\Discovery\Psr17FactoryDiscovery;
use OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory\DiactorosMessageFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory\GuzzleMessageFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory\SlimMessageFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\RequestFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\DiactorosStreamFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\GuzzleStreamFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\SlimStreamFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\DiactorosUriFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\GuzzleUriFactory;
use OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\SlimUriFactory;
use OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Request as DiactorosRequest;
use OctolizeShippingAustraliaPostVendor\Nyholm\Psr7\Factory\HttplugFactory as NyholmHttplugFactory;
use OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface as Psr18Client;
use OctolizeShippingAustraliaPostVendor\Psr\Http\Message\RequestFactoryInterface as Psr17RequestFactory;
use OctolizeShippingAustraliaPostVendor\Slim\Http\Request as SlimRequest;
use OctolizeShippingAustraliaPostVendor\Symfony\Component\HttpClient\HttplugClient as SymfonyHttplug;
use OctolizeShippingAustraliaPostVendor\Symfony\Component\HttpClient\Psr18Client as SymfonyPsr18;
use OctolizeShippingAustraliaPostVendor\Zend\Diactoros\Request as ZendDiactorosRequest;
/**
 * @internal
 *
 * @author Tobias Nyholm <tobias.nyholm@gmail.com>
 */
final class CommonClassesStrategy implements \OctolizeShippingAustraliaPostVendor\Http\Discovery\Strategy\DiscoveryStrategy
{
    /**
     * @var array
     */
    private static $classes = [\OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory::class => [['class' => \OctolizeShippingAustraliaPostVendor\Nyholm\Psr7\Factory\HttplugFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Nyholm\Psr7\Factory\HttplugFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory\GuzzleMessageFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory\GuzzleMessageFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory\DiactorosMessageFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Zend\Diactoros\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory\DiactorosMessageFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory\DiactorosMessageFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory\DiactorosMessageFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory\SlimMessageFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Slim\Http\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\MessageFactory\SlimMessageFactory::class]]], \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory::class => [['class' => \OctolizeShippingAustraliaPostVendor\Nyholm\Psr7\Factory\HttplugFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Nyholm\Psr7\Factory\HttplugFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\GuzzleStreamFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\GuzzleStreamFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\DiactorosStreamFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Zend\Diactoros\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\DiactorosStreamFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\DiactorosStreamFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\DiactorosStreamFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\SlimStreamFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Slim\Http\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\StreamFactory\SlimStreamFactory::class]]], \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory::class => [['class' => \OctolizeShippingAustraliaPostVendor\Nyholm\Psr7\Factory\HttplugFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Nyholm\Psr7\Factory\HttplugFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\GuzzleUriFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\GuzzleHttp\Psr7\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\GuzzleUriFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\DiactorosUriFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Zend\Diactoros\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\DiactorosUriFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\DiactorosUriFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Laminas\Diactoros\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\DiactorosUriFactory::class]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\SlimUriFactory::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Slim\Http\Request::class, \OctolizeShippingAustraliaPostVendor\Http\Message\UriFactory\SlimUriFactory::class]]], \OctolizeShippingAustraliaPostVendor\Http\Client\HttpAsyncClient::class => [['class' => \OctolizeShippingAustraliaPostVendor\Symfony\Component\HttpClient\HttplugClient::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Symfony\Component\HttpClient\HttplugClient::class, \OctolizeShippingAustraliaPostVendor\GuzzleHttp\Promise\Promise::class, \OctolizeShippingAustraliaPostVendor\Http\Message\RequestFactory::class, [self::class, 'isPsr17FactoryInstalled']]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle7\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle7\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle6\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle6\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Client\Curl\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Client\Curl\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\React\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\React\Client::class]], \OctolizeShippingAustraliaPostVendor\Http\Client\HttpClient::class => [['class' => \OctolizeShippingAustraliaPostVendor\Symfony\Component\HttpClient\HttplugClient::class, 'condition' => [\OctolizeShippingAustraliaPostVendor\Symfony\Component\HttpClient\HttplugClient::class, \OctolizeShippingAustraliaPostVendor\Http\Message\RequestFactory::class, [self::class, 'isPsr17FactoryInstalled']]], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle7\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle7\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle6\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle6\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle5\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Guzzle5\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Client\Curl\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Client\Curl\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Client\Socket\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Client\Socket\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Buzz\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Buzz\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\React\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\React\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Cake\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Cake\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Zend\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Zend\Client::class], ['class' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Artax\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Adapter\Artax\Client::class], ['class' => [self::class, 'buzzInstantiate'], 'condition' => [\OctolizeShippingAustraliaPostVendor\Buzz\Client\FileGetContents::class, \OctolizeShippingAustraliaPostVendor\Buzz\Message\ResponseBuilder::class]]], \OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface::class => [['class' => [self::class, 'symfonyPsr18Instantiate'], 'condition' => [\OctolizeShippingAustraliaPostVendor\Symfony\Component\HttpClient\Psr18Client::class, \OctolizeShippingAustraliaPostVendor\Psr\Http\Message\RequestFactoryInterface::class]], ['class' => \OctolizeShippingAustraliaPostVendor\GuzzleHttp\Client::class, 'condition' => [self::class, 'isGuzzleImplementingPsr18']], ['class' => [self::class, 'buzzInstantiate'], 'condition' => [\OctolizeShippingAustraliaPostVendor\Buzz\Client\FileGetContents::class, \OctolizeShippingAustraliaPostVendor\Buzz\Message\ResponseBuilder::class]]]];
    /**
     * {@inheritdoc}
     */
    public static function getCandidates($type)
    {
        if (\OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface::class === $type) {
            return self::getPsr18Candidates();
        }
        return self::$classes[$type] ?? [];
    }
    /**
     * @return array The return value is always an array with zero or more elements. Each
     *               element is an array with two keys ['class' => string, 'condition' => mixed].
     */
    private static function getPsr18Candidates()
    {
        $candidates = self::$classes[\OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface::class];
        // HTTPlug 2.0 clients implements PSR18Client too.
        foreach (self::$classes[\OctolizeShippingAustraliaPostVendor\Http\Client\HttpClient::class] as $c) {
            if (!\is_string($c['class'])) {
                continue;
            }
            try {
                if (\OctolizeShippingAustraliaPostVendor\Http\Discovery\ClassDiscovery::safeClassExists($c['class']) && \is_subclass_of($c['class'], \OctolizeShippingAustraliaPostVendor\Psr\Http\Client\ClientInterface::class)) {
                    $candidates[] = $c;
                }
            } catch (\Throwable $e) {
                \trigger_error(\sprintf('Got exception "%s (%s)" while checking if a PSR-18 Client is available', \get_class($e), $e->getMessage()), \E_USER_WARNING);
            }
        }
        return $candidates;
    }
    public static function buzzInstantiate()
    {
        return new \OctolizeShippingAustraliaPostVendor\Buzz\Client\FileGetContents(\OctolizeShippingAustraliaPostVendor\Http\Discovery\MessageFactoryDiscovery::find());
    }
    public static function symfonyPsr18Instantiate()
    {
        return new \OctolizeShippingAustraliaPostVendor\Symfony\Component\HttpClient\Psr18Client(null, \OctolizeShippingAustraliaPostVendor\Http\Discovery\Psr17FactoryDiscovery::findResponseFactory(), \OctolizeShippingAustraliaPostVendor\Http\Discovery\Psr17FactoryDiscovery::findStreamFactory());
    }
    public static function isGuzzleImplementingPsr18()
    {
        return \defined('GuzzleHttp\\ClientInterface::MAJOR_VERSION');
    }
    /**
     * Can be used as a condition.
     *
     * @return bool
     */
    public static function isPsr17FactoryInstalled()
    {
        try {
            \OctolizeShippingAustraliaPostVendor\Http\Discovery\Psr17FactoryDiscovery::findResponseFactory();
        } catch (\OctolizeShippingAustraliaPostVendor\Http\Discovery\Exception\NotFoundException $e) {
            return \false;
        } catch (\Throwable $e) {
            \trigger_error(\sprintf('Got exception "%s (%s)" while checking if a PSR-17 ResponseFactory is available', \get_class($e), $e->getMessage()), \E_USER_WARNING);
            return \false;
        }
        return \true;
    }
}
