<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Discovery\Strategy;

use OctolizeShippingAustraliaPostVendor\Http\Client\HttpAsyncClient;
use OctolizeShippingAustraliaPostVendor\Http\Client\HttpClient;
use OctolizeShippingAustraliaPostVendor\Http\Mock\Client as Mock;
/**
 * Find the Mock client.
 *
 * @author Sam Rapaport <me@samrapdev.com>
 */
final class MockClientStrategy implements \OctolizeShippingAustraliaPostVendor\Http\Discovery\Strategy\DiscoveryStrategy
{
    /**
     * {@inheritdoc}
     */
    public static function getCandidates($type)
    {
        if (\is_a(\OctolizeShippingAustraliaPostVendor\Http\Client\HttpClient::class, $type, \true) || \is_a(\OctolizeShippingAustraliaPostVendor\Http\Client\HttpAsyncClient::class, $type, \true)) {
            return [['class' => \OctolizeShippingAustraliaPostVendor\Http\Mock\Client::class, 'condition' => \OctolizeShippingAustraliaPostVendor\Http\Mock\Client::class]];
        }
        return [];
    }
}
