<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Message\Authentication;

use OctolizeShippingAustraliaPostVendor\Http\Message\Authentication;
use Psr\Http\Message\RequestInterface;
/**
 * Authenticate a PSR-7 Request with a multiple authentication methods.
 *
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 */
final class Chain implements \OctolizeShippingAustraliaPostVendor\Http\Message\Authentication
{
    /**
     * @var Authentication[]
     */
    private $authenticationChain = [];
    /**
     * @param Authentication[] $authenticationChain
     */
    public function __construct(array $authenticationChain = [])
    {
        foreach ($authenticationChain as $authentication) {
            if (!$authentication instanceof \OctolizeShippingAustraliaPostVendor\Http\Message\Authentication) {
                throw new \InvalidArgumentException('OctolizeShippingAustraliaPostVendor\\Members of the authentication chain must be of type Http\\Message\\Authentication');
            }
        }
        $this->authenticationChain = $authenticationChain;
    }
    /**
     * {@inheritdoc}
     */
    public function authenticate(\Psr\Http\Message\RequestInterface $request)
    {
        foreach ($this->authenticationChain as $authentication) {
            $request = $authentication->authenticate($request);
        }
        return $request;
    }
}
