<?php

namespace OctolizeShippingAustraliaPostVendor\Http\Message\Formatter;

use OctolizeShippingAustraliaPostVendor\Http\Message\Formatter;
use Psr\Http\Message\RequestInterface;
use Psr\Http\Message\ResponseInterface;
/**
 * Normalize a request or a response into a string or an array.
 *
 * @author Joel Wurtz <joel.wurtz@gmail.com>
 * @author Márk Sági-Kazár <mark.sagikazar@gmail.com>
 */
class SimpleFormatter implements \OctolizeShippingAustraliaPostVendor\Http\Message\Formatter
{
    /**
     * {@inheritdoc}
     */
    public function formatRequest(\Psr\Http\Message\RequestInterface $request)
    {
        return \sprintf('%s %s %s', $request->getMethod(), $request->getUri()->__toString(), $request->getProtocolVersion());
    }
    /**
     * {@inheritdoc}
     */
    public function formatResponse(\Psr\Http\Message\ResponseInterface $response)
    {
        return \sprintf('%s %s %s', $response->getStatusCode(), $response->getReasonPhrase(), $response->getProtocolVersion());
    }
    /**
     * Formats a response in context of its request.
     *
     * @return string
     */
    public function formatResponseForRequest(\Psr\Http\Message\ResponseInterface $response, \Psr\Http\Message\RequestInterface $request)
    {
        return $this->formatResponse($response);
    }
}
