<?php

namespace OctolizeShippingAustraliaPostVendor\WPDesk\AustraliaPostShippingService\Api;

use OctolizeShippingAustraliaPostVendor\Fontis\Auspost\Exception\EndpointServiceError;
use Psr\Log\LoggerInterface;
/**
 * Australia Post API client.
 */
class Auspost extends \OctolizeShippingAustraliaPostVendor\Fontis\Auspost\Auspost
{
    /**
     * @param string $apiKey
     * @param string $endpoint
     *
     * @return Auspost
     */
    public static function create_with_logger(string $apiKey, \Psr\Log\LoggerInterface $logger, string $endpoint = 'https://digitalapi.auspost.com.au') : \OctolizeShippingAustraliaPostVendor\WPDesk\AustraliaPostShippingService\Api\Auspost
    {
        $configurator = new \OctolizeShippingAustraliaPostVendor\WPDesk\AustraliaPostShippingService\Api\Configurator($apiKey, $endpoint);
        $configurator->setLogger($logger);
        return new self($configurator);
    }
    /**
     * @param EndpointServiceError $e
     *
     * @return string
     */
    public function getMessageFromException(\OctolizeShippingAustraliaPostVendor\Fontis\Auspost\Exception\EndpointServiceError $e)
    {
        $message = \json_decode($e->getMessage());
        if ($message instanceof \stdClass && isset($message->error->errorMessage)) {
            return $message->error->errorMessage;
        }
        return $e->getMessage();
    }
}
