<?php

namespace OctolizeShippingAustraliaPostVendor\WPDesk\AustraliaPostShippingService\Api;

use OctolizeShippingAustraliaPostVendor\Http\Client\Common\Plugin\AddHostPlugin;
use OctolizeShippingAustraliaPostVendor\Http\Client\Common\Plugin\HeaderDefaultsPlugin;
use OctolizeShippingAustraliaPostVendor\Http\Client\Common\PluginClient;
use OctolizeShippingAustraliaPostVendor\Http\Discovery\HttpClientDiscovery;
use OctolizeShippingAustraliaPostVendor\Http\Discovery\UriFactoryDiscovery;
use Psr\Log\LoggerAwareInterface;
use OctolizeShippingAustraliaPostVendor\Psr\Log\LoggerAwareTrait;
use OctolizeShippingAustraliaPostVendor\WPDesk\AustraliaPostShippingService\Http\LoggerPlugin;
/**
 * Australia Post API Configuration.
 */
class Configurator extends \OctolizeShippingAustraliaPostVendor\Fontis\Auspost\HttpClient\Configurator implements \Psr\Log\LoggerAwareInterface
{
    use LoggerAwareTrait;
    public function createHttpClient()
    {
        $client = \OctolizeShippingAustraliaPostVendor\Http\Discovery\HttpClientDiscovery::find();
        $plugins = [new \OctolizeShippingAustraliaPostVendor\Http\Client\Common\Plugin\AddHostPlugin(\OctolizeShippingAustraliaPostVendor\Http\Discovery\UriFactoryDiscovery::find()->createUri($this->getEndpoint())), new \OctolizeShippingAustraliaPostVendor\Http\Client\Common\Plugin\HeaderDefaultsPlugin(['auth-key' => $this->getApiKey()]), new \OctolizeShippingAustraliaPostVendor\WPDesk\AustraliaPostShippingService\Http\LoggerPlugin($this->logger)];
        return new \OctolizeShippingAustraliaPostVendor\Http\Client\Common\PluginClient($client, $plugins);
    }
}
